/*
 * Awake File: Easy file upload & download through HTTP with Java
 * Awake SQL: Remote JDBC access through HTTP.                                    
 * Copyright (C) 2011, Kawan Softwares S.A.S.
 * (http://www.awakeframework.org). All rights reserved.                                
 *                                                                               
 * Awake File/SQL is free software; you can redistribute it and/or                 
 * modify it under the terms of the GNU Lesser General Public                    
 * License as published by the Free Software Foundation; either                  
 * version 2.1 of the License, or (at your option) any later version.            
 *                                                                               
 * Awake File/SQL is distributed in the hope that it will be useful,               
 * but WITHOUT ANY WARRANTY; without even the implied warranty of                
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU             
 * Lesser General Public License for more details.                               
 *                                                                               
 * You should have received a copy of the GNU Lesser General Public              
 * License along with this library; if not, write to the Free Software           
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  
 * 02110-1301  USA
 *
 * Any modifications to this file must keep this entire header
 * intact.
 */

//SocksProxyDetector.java
//Copyright (c) Kawan Softwares S.A.S, 2011
//
//Last Updates: 
// 22/05/07 11:45 NDP - Creation 

package org.awakefw.file.util.proxy;

/**
 * @author Nicolas de Pomereu
 * 
 *         Universal inerface to detect a Socks Proxy Address & Port. <br>
 *         Implementation classes for Windows, Mac, Linux, etc. will use this
 *         interface.
 */
public interface SocksProxyDetector {

    /**
     * @return the proxy Address
     */
    public String getProxyAddress();

    /**
     * @return the proxy Port
     */
    public int getProxyPort();

}
