/*
 * Awake File: Easy file upload & download through HTTP with Java
 * Awake SQL: Remote JDBC access through HTTP.                                    
 * Copyright (C) 2011, Kawan Softwares S.A.S.
 * (http://www.awakeframework.org). All rights reserved.                                
 *                                                                               
 * Awake File/SQL is free software; you can redistribute it and/or                 
 * modify it under the terms of the GNU Lesser General Public                    
 * License as published by the Free Software Foundation; either                  
 * version 2.1 of the License, or (at your option) any later version.            
 *                                                                               
 * Awake File/SQL is distributed in the hope that it will be useful,               
 * but WITHOUT ANY WARRANTY; without even the implied warranty of                
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU             
 * Lesser General Public License for more details.                               
 *                                                                               
 * You should have received a copy of the GNU Lesser General Public              
 * License along with this library; if not, write to the Free Software           
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  
 * 02110-1301  USA
 *
 * Any modifications to this file must keep this entire header
 * intact.
 */

// Version	: Kawan Softwares S.A.S utilx_http - Version Manager
// Copyright (c) Kawan Softwares S.A.S, 2000 - 2002
//
// Last Updates: 
// 10/04/03 17:35 NDP - creation
// 19/04/06 10:55 NDP- isTopLevelDomain() checks domain using lowercase

package org.awakefw.file.version;

// for security rules

/**
 * Displays the Awake File product Version
 */

public class AwakeFileVersion {

    public static final String getVersion() {
	return "" + new PRODUCT();
    }

    public static final String getFullVersion() {
	String CR_LF = System.getProperty("line.separator");

	return PRODUCT.DESCRIPTION + CR_LF + getVersion() + CR_LF + "by : "
		+ new VENDOR();
    }

    public String toString() {
	return getVersion();
    }

    public static final class PRODUCT {
	public static final String VERSION = AwakeFileVersionValues.VERSION;
	public static final String NAME = "Awake File";
	public static final String DESCRIPTION = "Awake File Framework";
	public static final String DATE = AwakeFileVersionValues.DATE;

	public String toString() {
	    return NAME + " " + VERSION + " " + DATE;
	}
    }

    public static final class VENDOR {
	public static final String NAME = "Kawan Softwares S.A.S";
	public static final String WEB = "http://www.kawansoftwares.com";
	public static final String COPYRIGHT = "Copyright &copy; 2011";
	public static final String EMAIL = "contact@kawansoftwares.com";

	public String toString() {
	    return VENDOR.NAME + " - " + VENDOR.WEB;
	}
    }

    /**
     * MAIN
     */

    public static void main(String[] args) {
	System.out.println(getFullVersion());
    }
}
